Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"c1465efd-7d76-400a-a69f-4955c4635ad3","url":null,"userId":"e98c700d-bf80-4af0-b08f-0ec4ddff4739","userUrl":null,"parentCommentId":"fd5ce604-ba4e-43fb-99ab-94eb5f69fa54","parentCommentUrl":null,"creationDateTime":"2026-11-13T20:44:10.3894013+00:00","lastModifiedDateTime":"2026-11-14T00:44:10.3894013+00:00","medias":[{"id":"86dcba59-16d1-4bb8-8b5d-a7999e8ca994","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"93451bcd-294c-4bf4-8308-1426b6260bbe","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"9199dab3-4a3f-4f72-8b25-ea2c0a37d6c7","url":null,"userId":"07757994-0f96-40ad-8d5d-62f3e4d861fa","userUrl":null,"parentCommentId":"ed85db30-05d4-45de-80d3-451f1772b6f4","parentCommentUrl":null,"creationDateTime":"2026-11-13T19:44:10.3894013+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"349bbd46-d968-4cf8-a12d-1fe80740a2df","url":null},{"type":"Department","name":null,"id":"85efd511-5852-4be0-b196-006e984c73d5","url":null},{"type":"User group","name":null,"id":"3a4b72bc-eb91-4dd6-a5bf-4321d116732a","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string